fs-uae (3.2.35-2) unstable; urgency=medium

  * Switch from libfreetype6-dev to libfreetype-dev in
    Build-Depends in debian/control
  * Update Standards-Version to 4.7.2 in debian/control
  * Update debian/watch to monitor GitHub releases now

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 28 Oct 2025 11:12:05 +0100

fs-uae (3.2.35-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 20 Oct 2025 09:42:39 +0200

fs-uae (3.1.66-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI
  * debian/copyright: use spaces rather than tabs to start continuation lines
  * Use secure URI in Homepage field
  * Bump debhelper from old 12 to 13
  * Drop unnecessary dependency on dh-autoreconf
  * Remove unused license definitions for GPL-3+, CC-BY-SA-3.0
  * Update standards version to 4.6.1, no changes needed

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 05 Dec 2022 13:48:30 +0100

fs-uae (3.1.66-1) unstable; urgency=medium

  * New upstream release
  * Replace DEB_BUILD_ARCH with DEB_HOST_ARCH in debian/rules (Closes: #996842)
  * Update Standards-Version to 4.6.0 in debian/control
  * Update upstream tarball source URL in debian/watch

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 20 Jan 2022 22:26:40 +0100

fs-uae (3.1.62-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 03 Dec 2021 07:34:46 +0100

fs-uae (3.1.59-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 22 Nov 2021 10:43:06 +0100

fs-uae (3.1.47-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 15 Nov 2021 01:12:53 +0100

fs-uae (3.1.35-1) unstable; urgency=medium

  * New upstream release (Closes: #984138)
  * Drop fs-uae-arcade and fs-uae-launcher packages from debian/control
  * Drop fs-uae-arcade and fs-uae-launcher packages from debian/copyright
  * Drop dh-python, python3-{all,setuptools} from B-D in debian/control
  * Remove fs-uae-arcade links file debian/fs-uae-arcade.links
  * Remove fs-uae-launcher links file debian/fs-uae-launcher.links
  * Stop building fs-uae-arcade and fs-uae-launcher packages in debian/rules
  * Update Standards-Version to 4.5.1 in debian/control
  * Update Vcs-* fields for new Salsa project in debian/control

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 17 Oct 2021 14:27:52 +0200

fs-uae (3.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #957238)
  * Drop patches merged upstream:
    + debian/patches/0001-Define-unknown-host-CPUs-as-CPU_unknown.patch.
  * Update remote URL and bump version in debian/watch.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 01 May 2020 10:39:41 +0200

fs-uae (3.0.3+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 26 Mar 2020 16:28:24 +0100

fs-uae (3.0.2+dfsg-2) unstable; urgency=medium

  * Drop python-lhafile from Recommends of fs-uae-launcher package.
  * Update debhelper version to 12 and switch to debhelper-compat.
  * Update standards version to 4.5.0 in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 07 Feb 2020 14:18:46 +0100

fs-uae (3.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #886933, #944373)
  * Drop fs-uae-netplay-server package which is python2-only. (Closes: #936566)
    + Add note about removal in debian/README.source.
    + Delete debian/fs-uae-netplay-server.* files.
    + Drop python and python-setuptools from Build-Depends in debian/control.
    + Remove package description from debian/README.Debian.
    + Remove package build invocation from debian/rules.
    + Remove file pattern matching from debian/copyright.
    + Remove section from debian/control.
  * Drop debian/patches directory to start with a fresh patch-queue.
  * Re-add patch to define unknown CPUs as CPU_unknown:
    + debian/patches/0001-Define-unknown-host-CPUs-as-CPU_unknown.patch.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 27 Dec 2019 13:47:35 +0100

fs-uae (2.8.4+dfsg-2) unstable; urgency=medium

  * Add debian/patches/0002-rename-async-for-python3.7.patch
    to account for the renaming of the "async" module in
    pyopengl to "_async". (Closes: #914790)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 02 Dec 2018 19:10:14 +0100

fs-uae (2.8.4+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #880944)
  * Remove glee-dev from Build-Depends in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 02 Dec 2017 19:14:24 +0100

fs-uae (2.8.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 08 Apr 2017 12:02:39 +0200

fs-uae (2.8.0+dfsg-2) unstable; urgency=medium

  * Override dh_auto_configure in debian/rules to
    enable JIT on supported architectures only.
  * Add debian/patches/0001-define-unknown-CPUs-as-
    CPU_unknown.patch which will define unknown host
    CPUs as CPU_unknown instead of failing the build.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 08 Apr 2017 12:01:50 +0200

fs-uae (2.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/0002-fix-sign-declarations.h, fixed upstream.
  * Drop debian/patches/0001-exclude-internal-libmpeg2-from-build.patch,
    upstream now disables their embedded version of libmpeg2 by default.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 12 Oct 2016 11:25:35 +0200

fs-uae (2.6.2+dfsg-4) unstable; urgency=medium

  * Add debian/patches/0002-fix-sign-declarations.h which fixes the
    sign declarations of multiple integer types. (Closes: #811779).
  * Update years in debian/copyright.
  * Update standards version to 3.9.8 in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 16 May 2016 13:29:30 +0200

fs-uae (2.6.2+dfsg-3) unstable; urgency=medium

  * Add missing #DEBHELPER# token to debian/fs-uae-netplay-server.postrm
    to ensure dh_installinit is called upon exit to clean up the rc.d
    links installed for fs-uae-netplay-server (Closes: 803447).
  * Always run debian/fs-uae-netplay-server.postrm with "set -e" so
    that the script aborts upon any errors during execution.
  * Add missing zero exit code at the end of
    debian/fs-uae-netplay-server.postrm.
  * Drop debian/menu file in compliance with CTTE decision (see #741573).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 30 Oct 2015 12:42:51 +0100

fs-uae (2.6.2+dfsg-2) unstable; urgency=medium

  * Add debian/patches/0001-exclude-internal-libmpeg2-from-build.patch
    which prevents the internal version of libmpeg2 from being built at
    any time, even when fs-uae is not actually linked against the internal
    version.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 28 Oct 2015 15:04:20 +0100

fs-uae (2.6.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/0001-use-debian-libmpeg2-library.patch,
    upstream now always use the libmpeg2 library provided by
    the distribution.
  * Don't call 'dh' command with 'python2' in debian/rules to
    avoid Python issues when backporting fs-uae to Jessie.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 28 Oct 2015 10:41:31 +0100

fs-uae (2.6.1+dfsg-2) unstable; urgency=medium

  * Add debian/patches/0001-use-debian-libmpeg2-library.patch to
    make sure to always use Debian's own libmpeg2 library during build.
  * Add debian/fs-uae-netplay-server.lintian-overrides which overrides a
    lintian error regarding calling 'adduser' in the preinst script of
    fs-uae-netplayer-server as the homedir is actually created using 'usermod'.
  * Add debian/fs-uae-netplay-server.postrm to remove unowned directories
    after purging fs-uae-netplay-server. (Closes: #769774)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 16 Oct 2015 22:54:04 +0200

fs-uae (2.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add libfreetype6-dev to Build-Depends in debian/control. (Closes: #748636)
  * Add dh-autoreconf to Build-Depends in debian/control and run debhelper with
    "--with autoreconf" to update config.{sub,guess} and {libtool,aclocal}.m4.
  * Drop debian/patches/0003-remove-custom-mprotect-function.patch which was
    previously cherry-picked from the upstream development branch.
  * Drop debian/patches/0002-dont-copy-upstream-copying-file.patch. Any
    redundant files will be removed through maintainer scripts instead.
  * Drop debian/patches/0001-use-external-libglee.patch which is no longer
    necessary to disable the in-tree copy of glee. External versions of glee
    are now detected by the configure script and used automatically.
  * Add libglew-dev to Build-Depends in debian/control.
  * Switch from libsdl1.2-dev to libsdl2-dev in Build-Depends in debian/control.
  * Add zip to Build-Depends in debian/control.
  * Add libmpeg2-4-dev to Build-Depends in debian/control.
  * Add python3-all and python3-setuptools to Build-Depends in debian/control
    as fs-uae-arcade and -launcher are now Python3.
  * Add dh-python to Build-Depends in debian/control.
  * Update Depends for fs-uae-arcade and fs-uae-launcher for Python3
    and Qt5 in debian/control.
  * Run dh sequencer explicitly with "--with python2,python3" and use
    the python3 interpreter to run the setup.py scripts to enable Python3
    support for fs-uae-arcade and fs-uae-launcher.
  * Update Standards-Version to 3.9.6 in debian/control.
  * Clean up debian/control using wrap-and-sort.
  * Update copyright years and wildcards, remove unused license
    paragraphs and fix license name for "public-domain" paragraph
    in debian/copyright.
  * Remove unused debian/fs-uae-launcher.lintian-overrides.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 15 Oct 2015 19:07:53 +0200

fs-uae (2.4.1+ds-3) unstable; urgency=medium

  * Add debian/patches/0003-remove-custom-mprotect-function.patch
    to fix a segmentation fault when running fs-uae with recent
    versions of the proprietary nVidia driver (Closes: #757164).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 27 Jan 2015 22:38:53 +0100

fs-uae (2.4.1+ds-2) unstable; urgency=medium

  * Add missing dependency on python-pil for fs-uae-arcade in debian/control.
  * Add missing copyright entry in debian/copyright for arcade/* files.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 03 May 2014 19:21:51 +0200

fs-uae (2.4.1+ds-1) unstable; urgency=medium

  * New upstream release. (Closes: #739796)
  * Add binary package entry for fs-uae-arcade in debian/control.
  * Update copyright years in debian/copyright.
  * Add build and install directives for fs-uae-arcade and update build
    and install directives fs-uae-launcher in debian/rules.
  * Add links file for fs-uae-arcade.
  * Drop debian/patches/0003-disable-JIT-on-non-i386.patch, no longer needed.
  * Drop debian/patches/0004-add-generic-maccess.patch, merged upstream.
  * Drop debian/patches/0005-add-kfreebsd-build-support.patch, merged upstream.
  * Refresh debian/patches/0001-use-external-libglee.patch.
  * Refresh debian/patches/0002-dont-copy-upstream-copying-file.patch.
  * Add build dependency for libxi-dev in debian/control.
  * Update debian/README.Debian to include fs-uae-arcade.
  * Update debian/README.source to reflect the changes to the source package.
  * Update dependencies for fs-uae-launcher in debian/control.
  * Update standards version to 3.9.5 in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 06 Apr 2014 21:32:52 +0200

fs-uae (2.2.3+dfsg-4) unstable; urgency=low

  * Update Debian JIT compiler disable patch to include
    kFreeBSD/i386 since the JIT doesn't build here either.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 05 Nov 2013 23:43:28 +0100

fs-uae (2.2.3+dfsg-3) unstable; urgency=low

  * Enable version mangling for debian/watch file.
  * Add Debian patch to enable build support for kFreeBSD.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 05 Nov 2013 22:33:47 +0100

fs-uae (2.2.3+dfsg-2) unstable; urgency=low

  * Remove entry for src/core.cw4.cpp in debian/copyright.
  * Fix formatting for email address for src/cdrom-handler.cpp entry
    in debian/copyright.
  * Add comment with source code reference for src/hrtmon.rom.cpp
    in debian/copyright.
  * Add comment with source code reference for src/cdrom-handler.cpp
    in debian/copyright.
  * Add Debian patch to disable the JIT compiler on anything but i386.
  * Add Debian patch to provide generic access functions to the virtual
    Amiga's memory to support architectures other than x86, PPC and ARMEL.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 05 Nov 2013 00:19:26 +0100

fs-uae (2.2.3+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #680899)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 01 Nov 2013 14:33:54 +0100
